import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询试卷表列表
export function listTeaExamExaminationPaper(query) {
  return request({
    url: '/teaexamexaminationpaper/queryTeaExamExaminationPaperByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询试卷表详细信息
export function getTeaExamExaminationPaper(businessId) {
  return request({
    url: '/teaexamexaminationpaper/detail/' + businessId,
    method: 'get'
  })
}
// 2. 查询试卷表详细信息
export function getById(businessId) {
  return request({
    url: '/teaexamexaminationpaper/queryById/' + businessId,
    method: 'get'
  })
}

// 3. 新增试卷表
export function addTeaExamExaminationPaper(data) {
  data = Qs.stringify(data)
  return request({
    url: '/teaexamexaminationpaper/add',
    method: 'post',
    data: data
  })
}
export function upadteBatch(data) {
  return request({
    url: '/teaexamexaminationpaper/upadteBatch',
    method: 'put',
    data: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}
// 4. 修改试卷表
export function updateTeaExamExaminationPaper(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/teaexamexaminationpaper/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除试卷表
export function delTeaExamExaminationPaper(businessId) {
  return request({
    url: '/teaexamexaminationpaper/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出试卷表
export function exportTeaExamExaminationPaper(query) {
  return request({
    url: '/teaexamexaminationpaper/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
