import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询试题表列表
export function listTeaExamQuestions(query) {
  return request({
    url: '/teaexamquestions/queryTeaExamQuestionsByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询试题表详细信息
export function getTeaExamQuestions(businessId) {
  return request({
    url: '/teaexamquestions/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增试题表
export function addTeaExamQuestions(data) {
  return request({
    url: '/teaexamquestions/add',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}

// 4. 修改试题表
export function updateTeaExamQuestions(data) {
  return request({
    url: '/teaexamquestions/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}

// 5. 逻辑删除试题表
export function delTeaExamQuestions(businessId) {
  return request({
    url: '/teaexamquestions/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出试题表
export function exportTeaExamQuestions(query) {
  return request({
    url: '/teaexamquestions/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 7.修改试题状态
export function updateStatus(data) {
  data = Qs.stringify(data)
  return request({
    url: '/teaexamquestions/updateStatus',
    method: 'put',
    data
  })
}

// 8.下载开课导入模板
export function importTemplateTrialCourse(params) {
  return request({
    url: '/teaexamquestions/importTemplate',
    method: 'get',
    responseType: 'blob',
    params
  })
}

// 9.导入开课信息
export function importExcel(data, courseId) {
  return request({
    url: '/teaexamquestions/importDictData',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data,
    params: { courseId }
  })
}
